Skip to main content
POST
/
api
/
apps
/
marketplaceapplications
/
quote

💲Quote resource

Obtains a price for a booking

Authentication

This endpoint requires OAuth2 authentication. Include a valid bearer token in the Authorization header.

Request Body

marketplace_id
string
required
The unique id of your marketplace application
location_id
string
required
The unique id of a location
resource_id
string
required
The unique id of the location to get the calendar for
start_local
string (date-time)
required
The earliest date to show bookings for. The date and time are parsed in the local time of the passed in location.
duration_minutes
integer (int32)
The amount of minutes after the start_local time to show data for. Defaults to 60 minutes.
fullname
string
The full name of the customer making this booking. Required when “email” is provided.
email
string
The email of the customer making this booking. . Required when “fullname” is provided.
visitors
array

Response

Example Response
{
    "price": {
        "amount": 4.17,
        "amount_with_tax": 5.00
        "currency": "USD"
    },
    "confirmation": {
        "confirmed": false,
        "message": null,
        "booking_id": null
    },
    "available": false,
    "message": "This resource is already booked. Please choose a different start and end times.",
    "error_code": "BOOKING_CONFLICT"
}

Example Request

curl -X POST \
  "https://spaces.nexudus.com/api/apps/marketplaceapplications/quote" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'